<div>
  <span class="sqtm-core-prevent-selection section-title">
    {{
      'sqtm-core.campaign-workspace.dialog.message.automated-tests-execution-supervision.automation-project-on-master'
        | translate
          : {
              automationProject: automationProject.label,
              automationServer: automationProject.server
            }
    }}
  </span>
  <div class="section-content">
    <div class="form-grid m-b-5">
      <div>
        <span class="label-color">
          {{
            'sqtm-core.campaign-workspace.dialog.message.automated-tests-execution-supervision.tests-executed-on-server'
              | translate
          }}
        </span>
      </div>
      <div>
        <sqtm-core-select-field
          [options]="buildNodesDisplayOptions()"
          [fieldName]="automationProject.projectId.toString()"
          [formGroup]="formGroup"
        >
        </sqtm-core-select-field>
      </div>
    </div>
    <div>
      <nz-collapse nzGhost class="collapse-panel">
        <nz-collapse-panel
          [attr.data-test-element-id]="automationProject.projectId"
          [nzActive]="false"
          [nzHeader]="testListHeader"
          (nzActiveChange)="openTestList($event)"
        >
          <ng-template #testListHeader>
            <div class="label-color">
              {{
                'sqtm-core.campaign-workspace.dialog.message.automated-tests-execution-supervision.automated-tests-list'
                  | translate: { count: automationProject.testCount }
              }}
            </div>
          </ng-template>
          @if (testList.length > 0) {
            <ul>
              @for (testName of testList; track testName) {
                <li>{{ testName }}</li>
              }
            </ul>
          } @else {
            <span class="m-auto current-workspace-main-color table-icon-size">
              <i nz-icon nzType="loading" nzTheme="outline"></i>
            </span>
          }
        </nz-collapse-panel>
      </nz-collapse>
    </div>
  </div>
</div>
